# Class OrderPreservingLogParser

java.lang.Object
org.apache.jmeter.protocol.http.util.accesslog.TCLogParser
org.apache.jmeter.protocol.http.util.accesslog.SharedTCLogParser
org.apache.jmeter.protocol.http.util.accesslog.OrderPreservingLogParser

All Implemented Interfaces:
  `Cloneable, LogParser, TestCloneable`

public class OrderPreservingLogParser extends SharedTCLogParser

## Field Summary

### Fields inherited from class TCLogParser

`decode, FILENAME, FILTER, GET, HEAD, log, POST, READER, RMETHOD, SOURCE, URL_PATH, useFILE`

## Constructor Summary

Constructors
Constructor
Description
`OrderPreservingLogParser()`
`OrderPreservingLogParser(String source)`

## Method Summary

Modifier and Type
Method
Description
`int`
`parseAndConfigure(int count, TestElement el)`
parse a set number of lines from the access log.

### Methods inherited from class SharedTCLogParser

`clone, close, parse, parse`

### Methods inherited from class TCLogParser

`checkMethod, checkParamFormat, checkURL, cleanURL, convertStringToJMRequest, convertStringtoNVPair, decodeParameterValue, parse, parseLine, parseOneParameter, parseParameters, setDecodeParameterValues, setFilter, setSourceFile, setUseParsedFile, stripFile, tokenize`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OrderPreservingLogParser

public OrderPreservingLogParser()

### OrderPreservingLogParser

public OrderPreservingLogParser(String source)

## Method Details

### parseAndConfigure

public int parseAndConfigure(int count, TestElement el)
parse a set number of lines from the access log. Keep in mind the number of lines parsed will depend the filter and number of lines in the log. The method returns the actual lines parsed.

Specified by:
  `parseAndConfigure` in interface `LogParser`
Overrides:
  `parseAndConfigure` in class `TCLogParser`
Parameters:
  `count` - number of max lines to read
  `el` - `TestElement` to read lines into
Returns:
  lines parsed